Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Class SubscriberEntry

    java.lang.Object
      org.codehaus.activemq.service.SubscriberEntry

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class SubscriberEntry
extends java.lang.Object
implements java.io.Externalizable

Represents a durable subscribers subscription entry which contains details of the subscription and the subscriber's unique ID

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Constructor Summary
`SubscriberEntry()`

Method Summary
`java.lang.String` | `getClientID()`
`java.lang.String` | `getConsumerName()`
`java.lang.String` | `getDestination()`
`java.lang.String` | `getSelector()`
`int` | `getSubscriberID()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `setClientID(java.lang.String clientID)`
`void` | `setConsumerName(java.lang.String consumerName)`
`void` | `setDestination(java.lang.String destination)`
`void` | `setSelector(java.lang.String selector)`
`void` | `setSubscriberID(int subscriberID)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriberEntry

    public SubscriberEntry()

Method Detail

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### getClientID

    public java.lang.String getClientID()

### setClientID

    public void setClientID(java.lang.String clientID)

### getConsumerName

    public java.lang.String getConsumerName()

### setConsumerName

    public void setConsumerName(java.lang.String consumerName)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

### getSelector

    public java.lang.String getSelector()

### setSelector

    public void setSelector(java.lang.String selector)

### getSubscriberID

    public int getSubscriberID()

### setSubscriberID

    public void setSubscriberID(int subscriberID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.